// Forward local events to browser extension
window.addEventListener("message", function (event) {
  // We only accept messages from ourselves
  if (event.source !== window) {
    return;
  }

  if (event.data && !event.data.origin) {
    event.data.origin = location.origin;
    chrome.runtime.sendMessage(event.data);
  }
});

// Forward events from browser extension to local page
chrome.runtime.onMessage.addListener(event => {
  if (event.origin !== location.origin) {
    window.postMessage(event, '*');
  }
});


